package com.qmth.distributed.print.business.bean.dto;

import com.qmth.distributed.print.business.bean.examRule.CodeName;
import com.qmth.distributed.print.business.entity.ExamDetailCourse;

import java.util.List;

public class ExamDetailCourseFieldsDto {

    private ExamDetailCourse examDetailCourse;

    /**
     * 基础必填字段
     */
    private List<CodeName> requiredFields;
    /**
     * 扩展字段
     */
    private List<CodeName> extendFields;

    public ExamDetailCourse getExamDetailCourse() {
        return examDetailCourse;
    }

    public void setExamDetailCourse(ExamDetailCourse examDetailCourse) {
        this.examDetailCourse = examDetailCourse;
    }

    public List<CodeName> getRequiredFields() {
        return requiredFields;
    }

    public void setRequiredFields(List<CodeName> requiredFields) {
        this.requiredFields = requiredFields;
    }

    public List<CodeName> getExtendFields() {
        return extendFields;
    }

    public void setExtendFields(List<CodeName> extendFields) {
        this.extendFields = extendFields;
    }
}
